﻿$packageName = 'seafile-client'
$fileType = 'msi'
$silentArgs = '/passive'
$url = 'https://bintray.com/artifact/download/seafile-org/seafile/seafile-4.4.0-en.msi'
$version = '4.4.0'

$app = Get-WmiObject -Class Win32_Product | Where-Object {
  $_.Name -match "^Seafile ${version}$"
}

if (!$app) {
  Install-ChocolateyPackage $packageName $fileType $silentArgs $url
} else {
  Write-Host $(
    "$packageName $version is already installed. " +
    'No need to download an re-install.'
  )
}
